ClarisWksGraphInternal::Bitmap Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksGraphInternal::Bitmap Struct Referencefinal

Internal: structure to store a bitmap of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::Bitmap:

## Public Member Functions
| Bitmap (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| constructor
| ~Bitmap () final
| destructor
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor
| DSET (DSET const &)=default
virtual | ~DSET ()
| virtual destructor
bool | isHeaderFooter () const
| test if the zone is an header/footer
bool | isSlide () const
| test if the zone is a slide
MWAWBox2f | getBdBox () const
| return the zone bdbox
int | getMaximumPage () const
| returns the maximum page
virtual void | removeChild (int cId, bool normalChild)
| virtual function to remove a child from a list
virtual void | removeChild (int cId)
| virtual function to remove a child from a list
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box)

## Public Attributes
int | m_numBytesPerPixel
| the number of bite by pixel
MWAWVec2i | m_bitmapSize
| the bitmap size
int | m_bitmapRowSize
| the bitmap row size in the file ( with potential alignment)
MWAWEntry | m_entry
| the bitmap entry
std::vector< MWAWColor > | m_colorMap
| the color map
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header
long | m_numData
| the number of header
long | m_dataSz
| the data size
long | m_headerSz
| the header size
Position | m_position
| the zone type
int | m_fileType
| the type ( 0: text, -1: graphic, ...)
int | m_page
| the page (if known)
MWAWBox2f | m_box
| the bounding box (if known)
MWAWVec2f | m_pageDimension
| the page dimension (if know)
int | m_id
| the zone identificator
std::set< int > | m_fathersList
| the list of fathers
int | m_beginSelection
| the begin of selection ( at least in text header)
int | m_endSelection
| the end of selection ( at least in text header)
int | m_textType
| the text type (header/footer,footnote, ...)
int | m_flags [4]
| some unknown flag
std::vector< Child > | m_childs
| the list of child zone
std::vector< int > | m_otherChilds
| the list of other child
bool | m_parsed
| a flag to know if the entry is sent or not to the listener
int | m_internal
| an internal variable used to do some computation

## Friends
std::ostream & | operator<< (std::ostream &o, Bitmap const &bt)
| operator<<

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0 , P_Header , P_Footer , P_Frame , P_Footnote , P_Table , P_GraphicMaster , P_Slide , P_SlideNote , P_SlideThumbnail , P_SlideMaster , P_Unknown }
| the zone position More...
enum | ChildType { C_Zone , C_SubText , C_Graphic , C_Unknown }
| the different types of zone child More...

## Detailed Description

Internal: structure to store a bitmap of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ Bitmap()

ClarisWksGraphInternal::Bitmap::Bitmap | ( | ClarisWksStruct::DSET const & | dset = `ClarisWksStruct::DSET()` | ) |
| inlineexplicit

constructor

## ◆ ~Bitmap()

ClarisWksGraphInternal::Bitmap::~Bitmap | ( |  | ) |
| final

destructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Bitmap const & | bt
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_bitmapRowSize

int ClarisWksGraphInternal::Bitmap::m_bitmapRowSize

the bitmap row size in the file ( with potential alignment)

Referenced by ClarisWksGraph::readBitmapData(), and ClarisWksGraph::sendBitmap().

## ◆ m_bitmapSize

MWAWVec2i ClarisWksGraphInternal::Bitmap::m_bitmapSize

the bitmap size

Referenced by ClarisWksGraph::readBitmapData(), and ClarisWksGraph::sendBitmap().

## ◆ m_colorMap

std::vector<MWAWColor> ClarisWksGraphInternal::Bitmap::m_colorMap

the color map

Referenced by ClarisWksGraph::sendBitmap().

## ◆ m_entry

MWAWEntry ClarisWksGraphInternal::Bitmap::m_entry

the bitmap entry

Referenced by ClarisWksGraph::readBitmapData(), and ClarisWksGraph::sendBitmap().

## ◆ m_numBytesPerPixel

int ClarisWksGraphInternal::Bitmap::m_numBytesPerPixel

the number of bite by pixel

Referenced by ClarisWksGraph::readBitmapData(), and ClarisWksGraph::sendBitmap().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx